Bug 843371 - Erratic touchscreen pointer displacement when set Coordinate Transformation Matrix
Erratic touchscreen pointer displacement when set Coordinate Transformation M...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-26 03:13 EDT by Evgeny B. Lyutikov
Modified: 2013-08-01 09:42 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 09:42:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Evgeny B. Lyutikov 2012-07-26 03:13:47 EDT
Description of problem:

I have a payment kiosk with two monitors, primary monitor with touchscreen. If use one monitor touchscreen work well, but if set use both monitors and set Coordinate Transformation Matrix for touchscreen mapped on primary monitor (by default touchscreen is mapped to the whole virtual screen) the cursor starts to move from the point of contact to the left corner of the screen and back.

Second monitor is set "right of" main monitor.

Version-Release number of selected component (if applicable):
Name        : xorg-x11-server-Xorg
Version     : 1.11.4
Release     : 3.fc16
Architecture: i686

How reproducible: each time

Steps to Reproduce:
1. Modify the Coordinate Transform Matrix using xinput
2. Touch the screen.

  
Actual results:
Pointer moves back and forth from the correct position to the edge.

Expected results:
Pointer stays at the correct position.

Additional info:
http://www.youtube.com/watch?v=Gan9Z9wSFnQ
Comment 1 Evgeny B. Lyutikov 2012-07-26 03:21:32 EDT
* I am read about same bug in Ubuntu https://bugs.launchpad.net/ubuntu/+source/xorg-server/+bug/774938 in which a patch. Unfortunately, the xorg code has changed so that the patch does not work anymore.
* I am set Coordinate Transformation Matrix by executing:
xinput set-prop "USB Touchscreen 0dfc:0001" --type=float "Coordinate Transformation Matrix" 0.5 0 0 0 1 0 0 0 1
Comment 2 Evgeny B. Lyutikov 2012-07-26 03:22:54 EDT
Monitor configuration:


Screen 0: minimum 320 x 200, current 3360 x 1050, maximum 8192 x 8192
VGA1 connected 1680x1050+0+0 (normal left inverted right x axis y axis) 410mm x 256mm
   1680x1050      59.1*+
   1280x1024      75.0     60.0  
   1440x900       59.9  
   1360x768       60.0  
   1280x720       60.0  
   1024x768       75.1     70.1     60.0  
   800x600        72.2     75.0     60.3  
   640x480        72.8     75.0     60.0  
   720x400        70.1  
HDMI1 connected 1680x1050+1680+0 (normal left inverted right x axis y axis) 410mm x 256mm
   1680x1050      59.1*+
   1280x1024      75.0     60.0  
   1280x960       60.0  
   1280x800       59.8  
   1280x768       59.9  
   1280x720       60.0  
   1024x768       75.1     70.1     60.0  
   800x600        72.2     75.0     60.3  
   640x480        72.8     75.0     60.0  
   720x400        70.1
Comment 3 Evgeny B. Lyutikov 2012-08-06 01:26:36 EDT
Same problem in Fedora 17

Name        : xorg-x11-server-Xorg
Version     : 1.12.0
Release     : 2.fc17
Architecture: i686
Comment 4 Fedora End Of Life 2013-07-04 00:28:42 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 09:42:32 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.